%define	oname	abuse
%define	name	%{oname}_sdl
%define	version	0.7.0
%define	release	%mkrel 12
%define	Summary	The classic Crack-Dot-Com game
%define	frabsv	210

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.labyrinth.net.au/~trandor/files/%{name}-%{version}.tar.bz2
Source1:	http://www.cs.uidaho.edu/~cass0664/fRaBs/frabs%{frabsv}_unix.src.tar.bz2
#Patch0:	%{name}-nocrash-hack.patch.bz2
#Patch1: 	abuse_sdl-0.7.0-debian-fixes.patch.bz2
Patch2:		abuse_sdl-0.7.0-c++-compliance.patch
Patch3:		abuse_sdl-0.7.0-disable-lisp-cache.patch
Patch4:		abuse_sdl-0.7.0-datatypes.patch
Patch5:		abuse_sdl-0.7.0-header-order.patch
Patch6:		abuse_sdl-0.7.0-spelling.patch
Patch7:		abuse_sdl-0.7.0-stack-malloc-sizeof.patch
Patch8:		abuse_sdl-0.7.0-tint-fileptr.patch
Patch9:		abuse_sdl-0.7.0-unused-vars.patch
License:	GPL
Group:		Games/Arcade
URL:		http://www.labyrinth.net.au/~trandor/abuse/
BuildRequires:	ImageMagick SDL-devel alsa-lib-devel MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%prep
%setup -q -a1
#%patch0 -p0
#%patch1 -p1
%patch2 -p1 -b .c++_compliance
%patch3 -p1 -b .disable_lisp_cache
%patch4 -p1 -b .datatypes
%patch5 -p1 -b .header_order
%patch6 -p1 -b .spelling
%patch7 -p1 -b .stack_malloc_sizeof
%patch8 -p1 -b .tint_fileptr
%patch9 -p1 -b .unused_vars

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{oname}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="Abuse"\
		longtitle="%{Summary}" \
		xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Abuse
Comment=%{Summary}
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert %{oname}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 %{oname}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 16x16 %{oname}.png %{buildroot}%{_miconsdir}/%{name}.png

install -d %{buildroot}{%{_gamesdatadir}/%{oname},%{_gamesbindir}}
mv %{buildroot}%{_bindir}/%{oname}.sdl %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{oname} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{oname}/frabs%{frabsv}_unix.src
exec %{_gamesbindir}/%{oname}.sdl -datadir %{_gamesdatadir}/%{oname}/frabs%{frabsv}_unix.src "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/%{oname}
cp -a frabs%{frabsv}_unix.src %{buildroot}%{_gamesdatadir}/%{oname}/

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_gamesbindir}/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_gamesdatadir}/%{oname}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man6/*


%changelog
* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-12mdv2007.0
+ Revision: 111809
- fix broken xdg menu

* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-11mdv2007.1
+ Revision: 111431
- sync with debian patches (should now work on x86_64, ppc & sparc too)
- Import abuse_sdl



* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.0-10mdv2007.0
- add xdg menu

* Mon Jun 26 2006 Lenny Cartier <lenny@mandriva.com> 0.7.0-9mdv2007.0
- rebuild

* Tue Mar 21 2006 Lenny Cartier <lenny@mandriva.com> 0.7.0-8mdk
- rebuild

* Wed Dec 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.0-7mdk
- add debian patches (P1)
- drop workaround patch (P0) as debian patch seems to really fix the problem (finally:)

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.0-6mdk
- rebuild
- change summary macro to avoid conflicts if we were to build debug package
- fix buildrequires for lib64

* Thu Mar 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-5mdk
- Hack to workaround crash (caused by corrupted datafiles?, Patch0) FIXME
- Moved stuff around to make it easier to patch
- oops, wrong release last time.. fixed

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-4mdk
- Added libMesaGLU-devel to BuildRequires

* Sun Mar 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-3mdk
- nicer formatting
- spec cleanups
- switched to the unix frabs so we don't have to screw around with the dos version
- corrected group

* Tue Feb 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-2mdk
- rebuild

* Wed Dec 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.0-1mdk
- 0.7.0

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-5mdk
- add man file

* Mon Nov 11 2002 Lenny Cartier <lenny@mandrakesoft.com>  0.6.1-4mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Moved the wrapper script to %%{_gamesbindir}
	- Removed Prefix tag
	- Added BuildRequires
	- Quiet setup
	- Moved abuse.sdl binary into %%{_gamesbindir}, was the only file in %%{_libdir}/games,
	  might as well move it into %%{_gamesbindir} as other games, own dir in
	  %%{_libdir} was kinda overkill
	- Moved %%{_datadir}/abuse to %%{_datadir}/games/abuse
	- Remove the correct files
	- Specify datadir in wrapper script, would'nt work otherwise

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-3mdk
- rebuild

* Fri May 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-2mdk
- get rid of libalsa1

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-2mdk
- xpm -> png icons

* Tue Jan 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-3mdk
- rebuild for new SDL

* Thu May  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-2mdk
- corrected badly lowercased files

* Tue May  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-1mdk
- first version
